import { _decorator, assetManager, AudioClip, AudioSource, Component, Sprite, SpriteFrame } from "cc";

const { ccclass, property } = _decorator;

@ccclass
export default class testBundle extends Component {

    @property(AudioClip)
    bgmp3: AudioClip = null;

    @property(Sprite)
    vipSpr: Sprite = null;

    private bgm: AudioSource;

    start() {
        this.bgm = new AudioSource();
        this.bgm.clip = this.bgmp3;
        this.bgm.volume = 1;
        this.bgm.loop = true;
        this.bgm.play();
        
        assetManager.getBundle('testBundle').load(`ui/vip02/spriteFrame`, SpriteFrame, (err, data: any) => {
            if (err) return;
            this.vipSpr.spriteFrame = data;
        });

    }

}
